Bug 186859 - IllegalArgumentException: Original Node from map {position=101, iconResource=org/netbeans/modules/db/resources/database.gif, name=Databases, original=null, displayName=Databases, instanceCreate=org.op
IllegalArgumentException: Original Node from map {position=101, iconResource=...
Status: RESOLVED FIXED
Product: db
Classification: Unclassified
Component: Code
7.0
All All
: P3 (vote)
: 7.1
Assigned To: Jiri Rechtacek
issues@db
EXCEPTIONS_REPORT
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-28 05:13 UTC by akochnev
Modified: 2012-03-17 07:59 UTC (History)
5 users (show)

See Also:
Issue Type: DEFECT
:


Attachments
stacktrace (4.18 KB, text/plain)
2010-05-28 05:13 UTC, akochnev
Details
stacktrace (5.03 KB, text/plain)
2011-09-23 09:51 UTC, Jan Lahoda
Details
stacktrace (3.25 KB, text/plain)
2011-10-04 21:59 UTC, misterm
Details

Note You need to log in before you can comment on or make changes to this bug.
Description akochnev 2010-05-28 05:13:51 UTC
This bug was originally marked as duplicate of bug 185666, that is already resolved. This bug is still valid, so this seems to be another bug, but it might be related.

Build: NetBeans IDE Dev (Build nbms-and-javadoc-5216-on-100521)
VM: Java HotSpot(TM) Server VM, 16.3-b01, Java(TM) SE Runtime Environment, 1.6.0_20-b02
OS: Linux

User Comments:
akochnev: Trying to expand databases node in Services




Stacktrace: 
java.lang.IllegalArgumentException: Original Node from map {position=101, iconResource=org/netbeans/modules/db/resources/database.gif, name=Databases, original=null, displayName=Databases, instanceCreate=org.openide.nodes.LazyNode@1af24e2[Name=Databases, displayName=Databases]} is null
   at org.openide.nodes.LazyNode.switchToOriginal(LazyNode.java:85)
   at org.openide.nodes.LazyNode$SwitchChildren.addNotify(LazyNode.java:107)
   at org.openide.nodes.Children.callAddNotify(Children.java:554)
   at org.openide.nodes.EntrySupport$Default.getArray(EntrySupport.java:758)
   at org.openide.nodes.EntrySupport$Default.getNodes(EntrySupport.java:169)
   at org.openide.nodes.EntrySupport$Default.getNodes(EntrySupport.java:225)
Comment 1 akochnev 2010-05-28 05:13:54 UTC
Created attachment 99580 [details]
stacktrace
Comment 2 Jaroslav Tulach 2010-07-16 12:11:22 UTC
Look at the exception report's messages.log file. There are some exceptions from the db.RootNode creation associated with access to keystore:

INFO [org.netbeans.core.startup.layers.BinaryFS]: value = org.netbeans.modules.db.explorer.node.RootNode.instance from UI/Runtime/org-netbeans-modules-db-explorer-node-RootNode-instance.instance
org.netbeans.modules.keyring.kde.KWalletProvider$KwalletException: error while trying to access KWallet, during save
	at org.netbeans.modules.keyring.kde.KWalletProvider.save(KWalletProvider.java:96)
	at org.netbeans.api.keyring.Keyring.save(Keyring.java:110)
	at org.netbeans.modules.db.explorer.DatabaseConnectionConvertor$Handler.startElement(DatabaseConnectionConvertor.java:493)


I guess they are the main reason why the Databases node is not created. Is it wise to store something into keyring, when just creating a node?
Comment 3 Exceptions Reporter 2011-05-04 07:21:31 UTC
This bug already has 5 duplicates 
see http://statistics.netbeans.org/exceptions/detail.do?id=170230
Comment 4 Jiri Rechtacek 2011-05-04 07:35:52 UTC
It's should be fixed in recent daily builds - changeset http://hg.netbeans.org/main/rev/4762e7ec74bf. Integrated into 'main-golden', will be available in build *201104080400* on http://bits.netbeans.org/dev/nightly/
Comment 5 faiz_ali 2011-07-30 09:50:40 UTC
PROBLEM IS STILL THERE
Comment 6 Jan Lahoda 2011-09-23 09:51:22 UTC
Created attachment 111078 [details]
stacktrace

Have two Hudson Builders nodes in Services tab.
Comment 7 misterm 2011-10-04 21:59:48 UTC
Created attachment 111488 [details]
stacktrace
Comment 8 Jiri Rechtacek 2011-10-26 14:29:01 UTC
Integrated into 'main-golden'
Changeset: http://hg.netbeans.org/main-golden/rev/1264cfa5ce3d
User: Jiri Rechtacek <jrechtacek@netbeans.org>
Log: #197930: CCE: org.netbeans.modules.db.explorer.node.DriverListNode cannot
be cast to java.lang.Comparable


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo